Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/13186/?format=api
{ "ob_id": 13186, "uuid": "812463ca46724716b73f31a9f4ccf4d9", "title": "Weybourne Atmospheric Observatory: NAME atmospheric dispersion model footprints or air arriving at WAO.", "abstract": "The composition of the air present over the Weybourne Atmospheric Observatory (WAO), situated on the north Norfolk coast, depends on its origins. Plots showing the footprints of 10 day back trajectories arriving at WAO have been calculated using the UK Met Office's NAME Lagrangian atmospheric dispersion model.", "keywords": "Weybourne Atmospheric Observatory, WAO, NAME, AMF", "publicationState": "published", "dataPublishedTime": "2002-01-01T00:00:00", "doiPublishedTime": null, "updateFrequency": "", "status": "ongoing", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/13188/?format=api", "dataPath": "/badc/weybourne/data/name-footprints", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 9456756906, "numberOfFiles": 82659, "fileFormat": "Data are csv formatted. Images are PNG formatted." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3525/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/69/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data is collected at the Weybourne Atmospheric Observatory (WAO), which operates a range of instruments in its measurement programme. After collection, data is processed and formatted by the station manager, then uploaded as is to BADC", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/12057/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/1412/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/3818/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50547/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50545/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50552/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50546/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50549/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50550/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50551/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50548/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/13251/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }